summaryrefslogtreecommitdiff
path: root/Build-tools
diff options
context:
space:
mode:
authorunknown <tim@threads.polyesthetic.msg>2001-03-05 21:08:24 -0500
committerunknown <tim@threads.polyesthetic.msg>2001-03-05 21:08:24 -0500
commit277d59b86e14fc5443bc5a87fc399ee2d5491069 (patch)
tree3902f4507a29057e8bac5e5a04bb2d1e73e5e8d1 /Build-tools
parentf652a372cbff39ecf07d01ce078ddde8a62f0e09 (diff)
downloadmariadb-git-277d59b86e14fc5443bc5a87fc399ee2d5491069.tar.gz
Make sure ib_config.h is distributed.
Clean up Do-all-build-steps. Build-tools/Do-all-build-steps: Make this script run on machines other than mysql-work. innobase/Makefile.am: Make sure ib_config.h is distributed.
Diffstat (limited to 'Build-tools')
-rwxr-xr-xBuild-tools/Do-all-build-steps19
1 files changed, 15 insertions, 4 deletions
diff --git a/Build-tools/Do-all-build-steps b/Build-tools/Do-all-build-steps
index f7f34afd1b5..2938edf2b01 100755
--- a/Build-tools/Do-all-build-steps
+++ b/Build-tools/Do-all-build-steps
@@ -1,8 +1,16 @@
-#!/bin/bash
+#!/bin/sh
WD=`pwd`
# Don't write a wrong path for BD !!!!!
-BD=/my/tmp/BUILD
+if [ -w /my/tmp ]
+then
+ BD=/my/tmp/BUILD
+elif [ -n "$TMPDIR" ]
+then
+ BD=$TMPDIR/BUILD
+else
+ BD=/tmp/BUILD
+fi
TMP_SCRIPT=$WD/Logs/00-temp-for-do-all-build-steps.$$
# We build on work
@@ -76,15 +84,18 @@ sh $BD/Build-tools/Do-rpm
rm -f $TMP_SCRIPT
END
+set -e
+
log=$WD/Logs/Log-distcheck-`date +%y%m%d-%H%M`
+echo "Logging script $TMP_SCRIPT into $log"
if test $to_host = "mysql-work"
then
# Try to get the right user for MySQL builds on work so that all
# files is owned by the same user (mysql)
- ssh -n $to_host -l my "time bash $TMP_SCRIPT" > $log 2>&1
+ ssh -n $to_host -l my "time sh $TMP_SCRIPT" > $log 2>&1
else
- time bash $TMP_SCRIPT > $log 2>&1
+ time sh $TMP_SCRIPT > $log 2>&1
fi
# Create a commercial MySQL distribution (mysqlcom-VER.tar.gz) from